## crispy-doom 5.11.1

=== CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_minimum_required(VERSION 3.7.2)
project("Crispy Doom" VERSION 5.11.1 LANGUAGES C)

# Autotools variables
set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
set(top_builddir ${CMAKE_CURRENT_BINARY_DIR})

# AC_INIT variables
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "crispy-doom")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")

string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2022")
set(PACKAGE_LICENSE "GNU General Public License, version 2")

# Any settings that should apply to all targets in this directory and all
# subdirectories should go here.  Use judiciously.
if(MSVC)
    add_definitions("/D_CRT_SECURE_NO_WARNINGS" "/D_CRT_SECURE_NO_DEPRECATE"
                    "/D_CRT_NONSTDC_NO_DEPRECATE")
else()
    add_compile_options("-Wall" "-Wdeclaration-after-statement"
                        "-Wredundant-decls")
endif()

find_package(SDL2 2.0.7)
find_package(SDL2_mixer 2.0.2)
find_package(SDL2_net 2.0.0)

option(CRISPY_TRUECOLOR "True color rendering" OFF)

# Check for libsamplerate.
find_package(samplerate)
if(SAMPLERATE_FOUND)
    set(HAVE_LIBSAMPLERATE TRUE)
endif()

# Check for libpng.
find_package(PNG)
if(PNG_FOUND)
    set(HAVE_LIBPNG TRUE)
endif()

find_package(m)

include(CheckSymbolExists)
include(CheckIncludeFile)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)
check_include_file("dirent.h" HAVE_DIRENT_H)

string(CONCAT WINDOWS_RC_VERSION "${PROJECT_VERSION_MAJOR}, "
    "${PROJECT_VERSION_MINOR}, ${PROJECT_VERSION_PATCH}, 0")

# Without a hyphen. This is used for the bash-completion scripts.
string(TOLOWER "${PACKAGE_SHORTNAME}" PROGRAM_SPREFIX)

# With a hyphen, used almost everywhere else.
set(PROGRAM_PREFIX "${PROGRAM_SPREFIX}-")

configure_file(cmake/config.h.cin config.h)

configure_file(src/resource.rc.in src/resource.rc)
configure_file(src/setup-res.rc.in src/setup-res.rc)
configure_file(src/setup/setup-manifest.xml.in src/setup/setup-manifest.xml)

foreach(SUBDIR textscreen opl pcsound src)
    add_subdirectory("${SUBDIR}")
endforeach()

=== opl/CMakeLists.txt ===
add_library(opl STATIC
            opl_internal.h
            opl.c           opl.h
            opl_linux.c
            opl_obsd.c
            opl_queue.c     opl_queue.h
            opl_sdl.c
            opl_timer.c     opl_timer.h
            opl_win32.c
            ioperm_sys.c    ioperm_sys.h
            opl3.c          opl3.h)
target_include_directories(opl
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(opl SDL2::mixer)

=== src/CMakeLists.txt ===
foreach(SUBDIR doom heretic hexen strife setup)
    add_subdirectory("${SUBDIR}")
endforeach()

# Common source files used by absolutely everything:

set(COMMON_SOURCE_FILES
    crispy.c             crispy.h
    i_main.c
    i_system.c           i_system.h
    m_argv.c             m_argv.h
    m_misc.c             m_misc.h)

# Dedicated server (chocolate-server):

set(DEDSERV_FILES
    d_dedicated.c
    d_iwad.c            d_iwad.h
    d_mode.c            d_mode.h
    deh_str.c           deh_str.h
    i_timer.c           i_timer.h
    m_config.c          m_config.h
    net_common.c        net_common.h
    net_dedicated.c     net_dedicated.h
    net_io.c            net_io.h
    net_packet.c        net_packet.h
    net_sdl.c           net_sdl.h
    net_query.c         net_query.h
    net_server.c        net_server.h
    net_structrw.c      net_structrw.h
    z_native.c          z_zone.h)

add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
target_include_directories("${PROGRAM_PREFIX}server"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::net)

# Source files used by the game binaries (chocolate-doom, etc.)

set(GAME_SOURCE_FILES
    a11y.c              a11y.h
    aes_prng.c          aes_prng.h
    d_event.c           d_event.h
                        doomkeys.h
                        doomtype.h
    d_iwad.c            d_iwad.h
    d_loop.c            d_loop.h
    d_mode.c            d_mode.h
                        d_ticcmd.h
    deh_str.c           deh_str.h
    gusconf.c           gusconf.h
    i_cdmus.c           i_cdmus.h
    i_endoom.c          i_endoom.h
    i_glob.c            i_glob.h
    i_input.c           i_input.h
    i_joystick.c        i_joystick.h
                        i_swap.h
    i_musicpack.c
    i_oplmusic.c
    i_pcsound.c
    i_sdlmusic.c
    i_sdlsound.c
    i_sound.c           i_sound.h
    i_timer.c           i_timer.h
    i_video.c           i_video.h
    i_videohr.c         i_videohr.h
    i_winmusic.c        i_winmusic.h
    midifile.c          midifile.h
    mus2mid.c           mus2mid.h
    m_bbox.c            m_bbox.h
    m_cheat.c           m_cheat.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    m_fixed.c           m_fixed.h
    net_client.c        net_client.h
    net_common.c        net_common.h
    net_dedicated.c     net_dedicated.h
    net_defs.h
    net_gui.c           net_gui.h
    net_io.c            net_io.h
    net_loop.c          net_loop.h
    net_packet.c        net_packet.h
    net_petname.c       net_petname.h
    net_query.c         net_query.h
    net_sdl.c           net_sdl.h
    net_server.c        net_server.h
    net_structrw.c      net_structrw.h
    sha1.c              sha1.h
    memio.c             memio.h
    tables.c            tables.h
    v_diskicon.c        v_diskicon.h
    v_video.c           v_video.h
                        v_patch.h
    v_trans.c           v_trans.h
    w_checksum.c        w_checksum.h
    w_main.c            w_main.h
    w_wad.c             w_wad.h
    w_file.c            w_file.h
    w_file_stdc.c
    w_file_posix.c
    w_file_win32.c
    w_merge.c           w_merge.h
    z_zone.c            z_zone.h)

set(GAME_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/../")

if(MSVC)
    list(APPEND GAME_SOURCE_FILES
         "../win32/win_opendir.c" "../win32/win_opendir.h")

    list(APPEND GAME_INCLUDE_DIRS
         "${PROJECT_SOURCE_DIR}/win32/")
endif()

set(DEHACKED_SOURCE_FILES
    deh_defs.h
    deh_io.c            deh_io.h
    deh_main.c          deh_main.h
    deh_mapping.c       deh_mapping.h
    deh_text.c)

# Some games support dehacked patches, some don't:

set(SOURCE_FILES ${COMMON_SOURCE_FILES} ${GAME_SOURCE_FILES})
set(SOURCE_FILES_WITH_DEH ${SOURCE_FILES} ${DEHACKED_SOURCE_FILES})

set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net textscreen pcsound opl)
if(SAMPLERATE_FOUND)
    list(APPEND EXTRA_LIBS samplerate::samplerate)
endif()
if(PNG_FOUND)
    list(APPEND EXTRA_LIBS PNG::PNG)
endif()
if(WIN32)
	list(APPEND EXTRA_LIBS winmm)
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}doom" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}doom" doom ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}doom" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}heretic" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}heretic" heretic ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}heretic" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}hexen" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}hexen" hexen ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}hexen" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

if(WIN32)
    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
else()
    add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
endif()

target_include_directories("${PROGRAM_PREFIX}strife" PRIVATE ${GAME_INCLUDE_DIRS})
target_link_libraries("${PROGRAM_PREFIX}strife" strife ${EXTRA_LIBS})

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}strife" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

# Source files needed for chocolate-setup:

set(SETUP_FILES
    deh_str.c           deh_str.h
    d_mode.c            d_mode.h
    d_iwad.c            d_iwad.h
    i_timer.c           i_timer.h
    m_config.c          m_config.h
    m_controls.c        m_controls.h
    net_io.c            net_io.h
    net_packet.c        net_packet.h
    net_petname.c       net_petname.h
    net_sdl.c           net_sdl.h
    net_query.c         net_query.h
    net_structrw.c      net_structrw.h
    z_native.c          z_zone.h)

if(WIN32)
    add_executable("${PROGRAM_PREFIX}setup" WIN32 ${SETUP_FILES} ${COMMON_SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
else()
    add_executable("${PROGRAM_PREFIX}setup" ${SETUP_FILES} ${COMMON_SOURCE_FILES})
endif()

target_include_directories("${PROGRAM_PREFIX}setup"
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net setup textscreen)

if(MSVC)
    set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES
                          LINK_FLAGS "/MANIFEST:NO")
endif()

add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
target_compile_definitions(midiread PRIVATE "-DTEST")
target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)

add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)

=== src/doom/CMakeLists.txt ===
add_library(doom STATIC
            am_map.c        am_map.h
            deh_ammo.c
            deh_bexincl.c
            deh_bexpars.c   deh_bexpars.h
            deh_bexptr.c
            deh_bexstr.c
            deh_cheat.c
            deh_doom.c
            deh_frame.c
            deh_misc.c      deh_misc.h
            deh_ptr.c
            deh_sound.c
            deh_thing.c
            deh_weapon.c
                            d_englsh.h
            d_items.c       d_items.h
            d_main.c        d_main.h
            d_net.c
            d_pwad.c        d_pwad.h
                            doomdata.h
            doomdef.c       doomdef.h
            doomstat.c      doomstat.h
                            d_player.h
            dstrings.c      dstrings.h
                            d_textur.h
                            d_think.h
            f_finale.c      f_finale.h
            f_wipe.c        f_wipe.h
            g_game.c        g_game.h
            hu_lib.c        hu_lib.h
            hu_stuff.c      hu_stuff.h
            info.c          info.h
                            m_background.h
            m_crispy.c      m_crispy.h
            m_menu.c        m_menu.h
            m_random.c      m_random.h
            p_bexptr.c
            p_blockmap.c
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_extnodes.c    p_extnodes.h
            p_extsaveg.c    p_extsaveg.h
            p_floor.c
            p_inter.c       p_inter.h
            p_lights.c
                            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c        p_mobj.h
            p_plats.c
            p_pspr.c        p_pspr.h
            p_saveg.c       p_saveg.h
            p_setup.c       p_setup.h
            p_sight.c
            p_spec.c        p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c        p_tick.h
            p_user.c
            r_bmaps.c       r_bmaps.h
            r_bsp.c         r_bsp.h
            r_data.c        r_data.h
                            r_defs.h
            r_draw.c        r_draw.h
                            r_local.h
            r_main.c        r_main.h
            r_plane.c       r_plane.h
            r_segs.c        r_segs.h
            r_sky.c         r_sky.h
                            r_state.h
            r_swirl.c       r_swirl.h
            r_things.c      r_things.h
            s_musinfo.c     s_musinfo.h
            s_sound.c       s_sound.h
            sounds.c        sounds.h
            statdump.c      statdump.h
            st_lib.c        st_lib.h
            st_stuff.c      st_stuff.h
            v_snow.c        v_snow.h
            wi_stuff.c      wi_stuff.h)

target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(doom SDL2::SDL2 SDL2::mixer SDL2::net)

=== src/setup/CMakeLists.txt ===
add_library(setup STATIC
            accessibility.c     accessibility.h
            compatibility.c     compatibility.h
            display.c           display.h
            joystick.c          joystick.h
            keyboard.c          keyboard.h
            mainmenu.c
            mode.c              mode.h
            mouse.c             mouse.h
            multiplayer.c       multiplayer.h
            sound.c             sound.h
            execute.c           execute.h
            txt_joyaxis.c       txt_joyaxis.h
            txt_joybinput.c     txt_joybinput.h
            txt_keyinput.c      txt_keyinput.h
            txt_mouseinput.c    txt_mouseinput.h)

target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(setup textscreen SDL2::SDL2 SDL2::mixer)

=== src/strife/CMakeLists.txt ===
set(STRIFE_SOURCES
    am_map.c        am_map.h
    deh_ammo.c
    deh_cheat.c
    deh_strife.c
    deh_frame.c
    deh_misc.c      deh_misc.h
    deh_ptr.c
    deh_sound.c
    deh_thing.c
    deh_weapon.c
                    d_englsh.h
    d_items.c       d_items.h
    d_main.c        d_main.h
    d_net.c
                    doomdata.h
    doomdef.c       doomdef.h
    doomstat.c      doomstat.h
                    d_player.h
    dstrings.c      dstrings.h
                    d_textur.h
                    d_think.h
    f_finale.c      f_finale.h
    f_wipe.c        f_wipe.h
    g_game.c        g_game.h
    hu_lib.c        hu_lib.h
    hu_stuff.c      hu_stuff.h
    info.c          info.h
    m_menu.c        m_menu.h
    m_random.c      m_random.h
    m_saves.c       m_saves.h
    p_ceilng.c
    p_dialog.c      p_dialog.h
    p_doors.c
    p_enemy.c
    p_floor.c
    p_inter.c       p_inter.h
    p_lights.c
                    p_local.h
    p_map.c
    p_maputl.c
    p_mobj.c        p_mobj.h
    p_plats.c
    p_pspr.c        p_pspr.h
    p_saveg.c       p_saveg.h
    p_setup.c       p_setup.h
    p_sight.c
    p_spec.c        p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c        p_tick.h
    p_user.c
    r_bsp.c         r_bsp.h
    r_data.c        r_data.h
                    r_defs.h
    r_draw.c        r_draw.h
                    r_local.h
    r_main.c        r_main.h
    r_plane.c       r_plane.h
    r_segs.c        r_segs.h
    r_sky.c         r_sky.h
                    r_state.h
    r_things.c      r_things.h
    s_sound.c       s_sound.h
    sounds.c        sounds.h
    st_lib.c        st_lib.h
    st_stuff.c      st_stuff.h
    wi_stuff.c      wi_stuff.h)

add_library(strife STATIC ${STRIFE_SOURCES})

target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(strife textscreen SDL2::SDL2 SDL2::mixer SDL2::net)

=== debian/changelog ===
crispy-doom (5.11.1-1) unstable; urgency=medium

  * New upstream version 5.11.1
  * Improve crispy-hexen integration.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 17 Feb 2022 09:23:22 +0100

=== debian/control ===
Source: crispy-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
 libpng-dev,
 libsamplerate0-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsdl2-dev,
 python3
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
Homepage: https://github.com/fabiangreffrath/crispy-doom
Rules-Requires-Root: no

Package: crispy-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Provides: doom-engine
Breaks:
 freedoom (<< 0.12.1)
Description: Limit-raising medium-resolution Doom engine based on Chocolate Doom
 Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
 resolution, removes the static limits of the Doom engine and offers further
 optional visual, tactical and physical enhancements while remaining entirely
 config file, savegame, netplay and demo compatible with the original.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install --max-parallel=1 -- \
		SETUP_BINARIES=crispy-setup \
		DOC_FILES="README.md" \
		execgamesdir=/usr/games \
		appdatadir=/usr/share/metainfo
	# avoid clashing with chocolate-doom (contents is currently identical)
	mv debian/crispy-doom/usr/share/man/man5/default.cfg.5 \
	   debian/crispy-doom/usr/share/man/man5/crispy_default.cfg.5
	mv debian/crispy-doom/usr/share/man/man5/heretic.cfg.5 \
	   debian/crispy-doom/usr/share/man/man5/crispy_heretic.cfg.5
	mv debian/crispy-doom/usr/share/man/man5/hexen.cfg.5 \
	   debian/crispy-doom/usr/share/man/man5/crispy_hexen.cfg.5
	# superfluous docs
	rm -f  debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
	       debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
	       debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
	rm -fr debian/crispy-doom/usr/share/doc/crispy-heretic \
	       debian/crispy-doom/usr/share/doc/crispy-hexen
	find 'debian/' -name 'crispy-server*' -delete

## crispy-doom 5.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.11.1 LANGUAGES C)
+project("Crispy Doom" VERSION 5.12.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -28,9 +28,21 @@
                         "-Wredundant-decls")
 endif()
 
+option(ENABLE_SDL2_NET "Enable SDL2_net" On)
+option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
+
 find_package(SDL2 2.0.7)
-find_package(SDL2_mixer 2.0.2)
-find_package(SDL2_net 2.0.0)
+if(ENABLE_SDL2_MIXER)
+    find_package(SDL2_mixer 2.0.2)
+else()
+    add_compile_definitions(DISABLE_SDL2MIXER=1)
+endif()
+
+if(ENABLE_SDL2_NET)
+    find_package(SDL2_net 2.0.0)
+else()
+    add_compile_definitions(DISABLE_SDL2NET=1)
+endif()
 
 option(CRISPY_TRUECOLOR "True color rendering" OFF)
 
@@ -65,9 +77,12 @@
 
 configure_file(cmake/config.h.cin config.h)
 
-configure_file(src/resource.rc.in src/resource.rc)
+configure_file(src/doom-res.rc.in src/doom-res.rc)
+configure_file(src/heretic-res.rc.in src/heretic-res.rc)
+configure_file(src/hexen-res.rc.in src/hexen-res.rc)
 configure_file(src/setup-res.rc.in src/setup-res.rc)
 configure_file(src/setup/setup-manifest.xml.in src/setup/setup-manifest.xml)
+configure_file(src/strife-res.rc.in src/strife-res.rc)
 
 foreach(SUBDIR textscreen opl pcsound src)
     add_subdirectory("${SUBDIR}")

=== pcsound/CMakeLists.txt ===
add_library(pcsound STATIC
            pcsound.c       pcsound.h
            pcsound_bsd.c
            pcsound_sdl.c
            pcsound_linux.c
            pcsound_win32.c
                            pcsound_internal.h)
target_include_directories(pcsound
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(pcsound SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(pcsound SDL2::mixer)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,10 @@
 add_executable("${PROGRAM_PREFIX}server" WIN32 ${COMMON_SOURCE_FILES} ${DEDSERV_FILES})
 target_include_directories("${PROGRAM_PREFIX}server"
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::net)
+target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::SDL2)
+if(ENABLE_SDL2_NET)
+    target_link_libraries("${PROGRAM_PREFIX}server" SDL2::net)
+endif()
 
 # Source files used by the game binaries (chocolate-doom, etc.)
 
@@ -124,7 +127,13 @@
 set(SOURCE_FILES ${COMMON_SOURCE_FILES} ${GAME_SOURCE_FILES})
 set(SOURCE_FILES_WITH_DEH ${SOURCE_FILES} ${DEHACKED_SOURCE_FILES})
 
-set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net textscreen pcsound opl)
+set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 textscreen pcsound opl)
+if(ENABLE_SDL2_MIXER)
+    list(APPEND EXTRA_LIBS SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    list(APPEND EXTRA_LIBS SDL2::net)
+endif()
 if(SAMPLERATE_FOUND)
     list(APPEND EXTRA_LIBS samplerate::samplerate)
 endif()
@@ -136,7 +145,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}doom" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/doom-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}doom" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -150,7 +159,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}heretic" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/heretic-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}heretic" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -164,7 +173,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}hexen" WIN32 ${SOURCE_FILES} "${CMAKE_CURRENT_BINARY_DIR}/hexen-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}hexen" ${SOURCE_FILES})
 endif()
@@ -178,7 +187,7 @@
 endif()
 
 if(WIN32)
-    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
+    add_executable("${PROGRAM_PREFIX}strife" WIN32 ${SOURCE_FILES_WITH_DEH} "${CMAKE_CURRENT_BINARY_DIR}/strife-res.rc")
 else()
     add_executable("${PROGRAM_PREFIX}strife" ${SOURCE_FILES_WITH_DEH})
 endif()
@@ -216,7 +225,13 @@
 
 target_include_directories("${PROGRAM_PREFIX}setup"
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 SDL2::mixer SDL2::net setup textscreen)
+target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 setup textscreen)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::net)
+endif()
 
 if(MSVC)
     set_target_properties("${PROGRAM_PREFIX}setup" PROPERTIES

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -82,4 +82,10 @@
             wi_stuff.c      wi_stuff.h)
 
 target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(doom SDL2::SDL2 SDL2::mixer SDL2::net)
+target_link_libraries(doom SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(doom SDL2::mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries(doom SDL2::net)
+endif()

=== src/heretic/CMakeLists.txt ===
add_library(heretic STATIC
            am_data.h
            am_map.c            am_map.h
            ct_chat.c           ct_chat.h
            deh_ammo.c
            deh_frame.c
            deh_htext.c
            deh_htic.c          deh_htic.h
            deh_sound.c
            deh_thing.c
            deh_weapon.c
            d_main.c
            d_net.c
                                doomdata.h
                                doomdef.h
                                dstrings.h
            f_finale.c
            g_game.c
            info.c              info.h
            in_lude.c
            m_random.c          m_random.h
            mn_menu.c
                                p_action.h
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c
            p_lights.c
            p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c
            p_plats.c
            p_pspr.c
            p_saveg.c
            p_setup.c
            p_sight.c
            p_spec.c            p_spec.h
            p_switch.c
            p_telept.c
            p_tick.c
            p_user.c
            r_bmaps.c           r_bmaps.h
            r_bsp.c
            r_data.c
            r_draw.c
                                r_local.h
            r_main.c
            r_plane.c
            r_segs.c
            r_things.c
            sb_bar.c
            sounds.c            sounds.h
            s_sound.c           s_sound.h)

target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(heretic textscreen SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(heretic SDL2::mixer)
endif()
if(ENABLE_SDL2_NET)
    target_link_libraries(heretic SDL2::net)
endif()

=== src/hexen/CMakeLists.txt ===
add_library(hexen STATIC
            a_action.c
                                am_data.h
            am_map.c            am_map.h
            ct_chat.c
                                ct_chat.h
            d_net.c
            f_finale.c
            g_game.c
                                h2def.h
            h2_main.c
            info.c              info.h
            in_lude.c
            m_random.c          m_random.h
            mn_menu.c
            p_acs.c
            p_anim.c
            p_ceilng.c
            p_doors.c
            p_enemy.c
            p_floor.c
            p_inter.c
            p_lights.c
                                p_local.h
            p_map.c
            p_maputl.c
            p_mobj.c
            po_man.c
            p_plats.c
            p_pspr.c
            p_setup.c
            p_sight.c
            p_spec.c           p_spec.h
            p_switch.c
            p_telept.c
            p_things.c
            p_tick.c
            p_user.c
            r_bmaps.c           r_bmaps.h
            r_bsp.c
            r_data.c
            r_draw.c
                                r_local.h
            r_main.c
            r_plane.c
            r_segs.c
            r_things.c
            s_sound.c           s_sound.h
            sb_bar.c
            sc_man.c
            sn_sonix.c
            sounds.c            sounds.h
            st_start.c          st_start.h
            sv_save.c
                                textdefs.h
                                xddefs.h)

target_include_directories(hexen PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
target_link_libraries(hexen SDL2::SDL2)
if(ENABLE_SDL2_MIXER)
    target_link_libraries(hexen SDL2::mixer)
endif()
if(ENABLE_SDL2_NET)
    target_link_libraries(hexen SDL2::net)
endif()

=== src/setup/CMakeLists.txt ===
--- 
+++ 
@@ -16,4 +16,7 @@
             txt_mouseinput.c    txt_mouseinput.h)
 
 target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(setup textscreen SDL2::SDL2 SDL2::mixer)
+target_link_libraries(setup textscreen SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(setup SDL2::mixer)
+endif()

=== debian/changelog ===
crispy-doom (5.12.0-1) unstable; urgency=medium

  * New upstream version 5.12.0
  * Try to shut up lintian.
  * Bump Standards-Version to 4.6.1.
  * Update my Debian packaging copyright.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 01 Sep 2022 22:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsdl2-net-dev,
  libsdl2-dev,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
 Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
 Homepage: https://github.com/fabiangreffrath/crispy-doom

=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/,dversionmangle=s/\+dfsg\d//" \
    https://github.com/fabiangreffrath/@PACKAGE@/releases \
    https://github.com/fabiangreffrath/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## crispy-doom 6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 5.12.0 LANGUAGES C)
+project("Crispy Doom" VERSION 6.0.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2022")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2023")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -27,6 +27,9 @@
     add_compile_options("-Wall" "-Wdeclaration-after-statement"
                         "-Wredundant-decls")
 endif()
+
+option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
+       "Lookup package config files before using find modules" On)
 
 option(ENABLE_SDL2_NET "Enable SDL2_net" On)
 option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
@@ -47,8 +50,8 @@
 option(CRISPY_TRUECOLOR "True color rendering" OFF)
 
 # Check for libsamplerate.
-find_package(samplerate)
-if(SAMPLERATE_FOUND)
+find_package(SampleRate)
+if(SampleRate_FOUND)
     set(HAVE_LIBSAMPLERATE TRUE)
 endif()
 
@@ -56,6 +59,12 @@
 find_package(PNG)
 if(PNG_FOUND)
     set(HAVE_LIBPNG TRUE)
+endif()
+
+# Check for FluidSynth.
+find_package(FluidSynth 2.2.0)
+if(FluidSynth_FOUND AND ENABLE_SDL2_MIXER)
+    set(HAVE_FLUIDSYNTH TRUE)
 endif()
 
 find_package(m)

=== pcsound/CMakeLists.txt ===
--- 
+++ 
@@ -10,5 +10,5 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries(pcsound SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(pcsound SDL2::mixer)
+    target_link_libraries(pcsound SDL2_mixer::SDL2_mixer)
 endif()

=== src/heretic/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
             p_ceilng.c
             p_doors.c
             p_enemy.c
+            p_extnodes.c        p_extnodes.h
             p_floor.c
             p_inter.c
             p_lights.c
@@ -49,6 +50,7 @@
             r_main.c
             r_plane.c
             r_segs.c
+            r_swirl.c           r_swirl.h
             r_things.c
             sb_bar.c
             sounds.c            sounds.h
@@ -57,8 +59,8 @@
 target_include_directories(heretic PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(heretic textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(heretic SDL2::mixer)
+    target_link_libraries(heretic SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(heretic SDL2::net)
+    target_link_libraries(heretic SDL2_net::SDL2_net)
 endif()

=== src/hexen/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
             m_random.c          m_random.h
             mn_menu.c
             p_acs.c
+                                p_action.h
             p_anim.c
             p_ceilng.c
             p_doors.c
@@ -58,8 +59,8 @@
 target_include_directories(hexen PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(hexen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(hexen SDL2::mixer)
+    target_link_libraries(hexen SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(hexen SDL2::net)
+    target_link_libraries(hexen SDL2_net::SDL2_net)
 endif()

=== src/setup/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,5 @@
 target_include_directories(setup PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(setup textscreen SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(setup SDL2::mixer)
+    target_link_libraries(setup SDL2_mixer::SDL2_mixer)
 endif()

=== debian/changelog ===
crispy-doom (6.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Aug 2023 09:37:03 -0700

crispy-doom (6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:02:23 +0200

crispy-doom (6.0-1) unstable; urgency=medium

  * Update debian/watch file.
  * New upstream version 6.0.
  * Welcome back, Crispy Strife!
  * Provide alternatives for the three non-Doom game engines
    (Heretic, Hexen, Strife)
  * Update Crispy Doom Homepage field.
  * Bump Standards-Version to 4.6.2.
  * Bump my Debian copyright year to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 13:56:01 +0200

=== debian/control ===
Source: crispy-doom
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               libpng-dev,
               libsamplerate0-dev,
               libsdl2-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev,
               python3
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
Homepage: https://crispy-doom.org/
Rules-Requires-Root: no

Package: crispy-doom
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freedoom | game-data-packager
Provides: doom-engine, heretic-engine, hexen-engine, strife-engine
Breaks: freedoom (<< 0.12.1)
Description: Limit-raising mid-resolution Doom engine based on Chocolate Doom
 Crispy Doom is a friendly fork of Chocolate Doom that provides a higher
 display resolution, removes the static limits of the Doom engine and offers
 further optional visual, tactical and physical enhancements while remaining
 entirely config file, savegame, netplay and demo compatible with the original.

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,17 @@
 	   debian/crispy-doom/usr/share/man/man5/crispy_heretic.cfg.5
 	mv debian/crispy-doom/usr/share/man/man5/hexen.cfg.5 \
 	   debian/crispy-doom/usr/share/man/man5/crispy_hexen.cfg.5
+	mv debian/crispy-doom/usr/share/man/man5/strife.cfg.5 \
+	   debian/crispy-doom/usr/share/man/man5/crispy_strife.cfg.5
 	# superfluous docs
 	rm -f  debian/crispy-doom/usr/share/doc/crispy-doom/CMDLINE.doom \
 	       debian/crispy-doom/usr/share/doc/crispy-doom/INSTALL.doom \
 	       debian/crispy-doom/usr/share/doc/crispy-doom/NOT-BUGS.md
 	rm -fr debian/crispy-doom/usr/share/doc/crispy-heretic \
-	       debian/crispy-doom/usr/share/doc/crispy-hexen
+	       debian/crispy-doom/usr/share/doc/crispy-hexen \
+	       debian/crispy-doom/usr/share/doc/crispy-strife
 	find 'debian/' -name 'crispy-server*' -delete
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## crispy-doom 7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 cmake_minimum_required(VERSION 3.7.2)
-project("Crispy Doom" VERSION 6.0.0 LANGUAGES C)
+project("Crispy Doom" VERSION 7.0.0 LANGUAGES C)
 
 # Autotools variables
 set(top_srcdir ${CMAKE_CURRENT_SOURCE_DIR})
@@ -15,7 +15,7 @@
 set(PACKAGE_BUGREPORT "https://github.com/fabiangreffrath/crispy-doom/issues")
 
 string(REGEX REPLACE " Doom$" "" PACKAGE_SHORTNAME "${PACKAGE_NAME}")
-set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2023")
+set(PACKAGE_COPYRIGHT "Copyright (C) 1993-2024")
 set(PACKAGE_LICENSE "GNU General Public License, version 2")
 
 # Any settings that should apply to all targets in this directory and all
@@ -34,7 +34,7 @@
 option(ENABLE_SDL2_NET "Enable SDL2_net" On)
 option(ENABLE_SDL2_MIXER "Enable SDL2_mixer" On)
 
-find_package(SDL2 2.0.7)
+find_package(SDL2 2.0.14)
 if(ENABLE_SDL2_MIXER)
     find_package(SDL2_mixer 2.0.2)
 else()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries("${PROGRAM_PREFIX}server" SDL2::SDL2main SDL2::SDL2)
 if(ENABLE_SDL2_NET)
-    target_link_libraries("${PROGRAM_PREFIX}server" SDL2::net)
+    target_link_libraries("${PROGRAM_PREFIX}server" SDL2_net::SDL2_net)
 endif()
 
 # Source files used by the game binaries (chocolate-doom, etc.)
@@ -54,6 +54,7 @@
     gusconf.c           gusconf.h
     i_cdmus.c           i_cdmus.h
     i_endoom.c          i_endoom.h
+    i_flmusic.c
     i_glob.c            i_glob.h
     i_input.c           i_input.h
     i_joystick.c        i_joystick.h
@@ -67,7 +68,8 @@
     i_timer.c           i_timer.h
     i_video.c           i_video.h
     i_videohr.c         i_videohr.h
-    i_winmusic.c        i_winmusic.h
+    i_winmusic.c
+    midifallback.c      midifallback.h
     midifile.c          midifile.h
     mus2mid.c           mus2mid.h
     m_bbox.c            m_bbox.h
@@ -129,16 +131,19 @@
 
 set(EXTRA_LIBS SDL2::SDL2main SDL2::SDL2 textscreen pcsound opl)
 if(ENABLE_SDL2_MIXER)
-    list(APPEND EXTRA_LIBS SDL2::mixer)
+    list(APPEND EXTRA_LIBS SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    list(APPEND EXTRA_LIBS SDL2::net)
-endif()
-if(SAMPLERATE_FOUND)
-    list(APPEND EXTRA_LIBS samplerate::samplerate)
+    list(APPEND EXTRA_LIBS SDL2_net::SDL2_net)
+endif()
+if(SampleRate_FOUND)
+    list(APPEND EXTRA_LIBS SampleRate::samplerate)
 endif()
 if(PNG_FOUND)
     list(APPEND EXTRA_LIBS PNG::PNG)
+endif()
+if(FluidSynth_FOUND)
+    list(APPEND EXTRA_LIBS FluidSynth::libfluidsynth)
 endif()
 if(WIN32)
 	list(APPEND EXTRA_LIBS winmm)
@@ -227,10 +232,13 @@
                            PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
 target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::SDL2main SDL2::SDL2 setup textscreen)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::mixer)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2::net)
+    target_link_libraries("${PROGRAM_PREFIX}setup" SDL2_net::SDL2_net)
+endif()
+if(WIN32)
+    target_link_libraries("${PROGRAM_PREFIX}setup" winmm)
 endif()
 
 if(MSVC)
@@ -241,9 +249,9 @@
 add_executable(midiread midifile.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(midiread PRIVATE "-DTEST")
 target_include_directories(midiread PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries(midiread SDL2::SDL2main SDL2::SDL2)
+target_link_libraries(midiread SDL2::SDL2)
 
 add_executable(mus2mid mus2mid.c memio.c z_native.c i_system.c m_argv.c m_misc.c d_iwad.c deh_str.c m_config.c)
 target_compile_definitions(mus2mid PRIVATE "-DSTANDALONE")
 target_include_directories(mus2mid PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
-target_link_libraries(mus2mid SDL2::SDL2main SDL2::SDL2)
+target_link_libraries(mus2mid SDL2::SDL2)

=== src/doom/CMakeLists.txt ===
--- 
+++ 
@@ -84,8 +84,8 @@
 target_include_directories(doom PRIVATE "../" "${CMAKE_CURRENT_BINARY_DIR}/../../")
 target_link_libraries(doom SDL2::SDL2)
 if(ENABLE_SDL2_MIXER)
-    target_link_libraries(doom SDL2::mixer)
+    target_link_libraries(doom SDL2_mixer::SDL2_mixer)
 endif()
 if(ENABLE_SDL2_NET)
-    target_link_libraries(doom SDL2::net)
+    target_link_libraries(doom SDL2_net::SDL2_net)
 endif()

=== src/heretic/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
             m_random.c          m_random.h
             mn_menu.c
                                 p_action.h
+            p_blockmap.c
             p_ceilng.c
             p_doors.c
             p_enemy.c

=== src/strife/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
     hu_lib.c        hu_lib.h
     hu_stuff.c      hu_stuff.h
     info.c          info.h
+    m_crispy.c      m_crispy.h
     m_menu.c        m_menu.h
     m_random.c      m_random.h
     m_saves.c       m_saves.h
@@ -70,4 +71,10 @@
 add_library(strife STATIC ${STRIFE_SOURCES})
 
 target_include_directories(strife PRIVATE "../" "../../win32/" "${CMAKE_CURRENT_BINARY_DIR}/../../")
-target_link_libraries(strife textscreen SDL2::SDL2 SDL2::mixer SDL2::net)
+target_link_libraries(strife textscreen SDL2::SDL2)
+if(ENABLE_SDL2_MIXER)
+    target_link_libraries(strife SDL2_mixer::SDL2_mixer)
+endif()
+if(ENABLE_SDL2_NET)
+    target_link_libraries(strife SDL2_net::SDL2_net)
+endif()

=== debian/changelog ===
crispy-doom (7.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Mar 2025 13:19:08 -0700

crispy-doom (7.0-1) unstable; urgency=medium

  * New upstream version 7.0
  * Update Homepage link
  * Manpages for generic config files are not installed anymore
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Aug 2024 08:40:12 +0200

=== debian/control ===
Source: crispy-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               libpng-dev,
               libsamplerate0-dev,
               libsdl2-dev,
               libsdl2-mixer-dev,
               libsdl2-net-dev,
               python3
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/crispy-doom.git
Vcs-Browser: https://salsa.debian.org/debian/crispy-doom
Homepage: https://fabiangreffrath.github.io/crispy-homepage
Rules-Requires-Root: no

Package: crispy-doom
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
          freedoom | game-data-packager
Provides: doom-engine, heretic-engine, hexen-engine, strife-engine
Breaks: freedoom (<< 0.12.1)
Description: Limit-raising medium-resolution Doom engine based on Chocolate Doom
 Crispy Doom is a friendly fork of Chocolate Doom that provides a higher display
 resolution, removes the static limits of the Doom engine and offers further
 optional visual, tactical and physical enhancements while remaining entirely
 config file, savegame, netplay and demo compatible with the original.

=== debian/watch ===
version=4
https://github.com/fabiangreffrath/@PACKAGE@/tags \
https://github.com/fabiangreffrath/@PACKAGE@/archive/refs/tags/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
